Subject: Re: [PATCH 01/12] merge-index: drop index compatibility macros

From: Derrick Stolee <[email-masked]>
Date: Mon, 4 Jan 2021 06:08:40 -0500

On 1/3/2021 6:31 PM, Alban Gruin wrote:
> Hi Derrick,
> 
> Le 01/01/2021 à 14:06, Derrick Stolee via GitGitGadget a écrit :
>> From: Derrick Stolee <[email-masked]>
>>
>> Replace uses of the old macros for the_index and instead pass around a
>> 'struct index_state' pointer. This allows dropping the compatibility
>> flag.
>>
>> Signed-off-by: Derrick Stolee <[email-masked]>
> 
> I already libified builtin/merge-index.c in ag/merge-strategies-in-c,
> and such dropped the_index.  I modified merge_entry(), merge_one_path()
> and merge_all() to take a callback, itself taking a repository.  As
> such, in my series, these functions take a `struct repository *' instead
> of an index state.
> 
> I'm not sure how we should proceed with our respective patches.

Hi Alban,

Sorry I didn't realize that. I'll drop this patch. Thanks for letting
me know!

Thanks,
-Stolee